import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# spo navigation node get

Gets information about a specific navigation node.

## Usage

```sh
m365 spo navigation node get [options]
```

## Options

```md definition-list
`-u, --webUrl <webUrl>`
: Absolute URL of the site.

`--id <id>`
: Id of the navigation node.
```

<Global />

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource   | Permissions   |
  |------------|---------------|
  | SharePoint | AllSites.Read |

  </TabItem>
  <TabItem value="Application">

  | Resource   | Permissions    |
  |------------|----------------|
  | SharePoint | Sites.Read.All |

  </TabItem>
</Tabs>

## Examples

Retrieve information for a specific navigation node.

```sh
m365 spo navigation node get --webUrl https://contoso.sharepoint.com/sites/Marketing --id 2209
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "Children": [
      {
        "AudienceIds": null,
        "CurrentLCID": 1033,
        "Id": 2033,
        "IsDocLib": true,
        "IsExternal": true,
        "IsVisible": true,
        "ListTemplateType": 0,
        "Title": "Microsoft 365",
        "Url": "https://microsoft365.com",
        "Children": []
      }
    ],
    "AudienceIds": [
      "0d718612-8407-4d6b-833c-6891a553354f"
    ],
    "CurrentLCID": 1033,
    "Id": 2209,
    "IsDocLib": true,
    "IsExternal": false,
    "IsVisible": true,
    "ListTemplateType": 100,
    "Title": "Work Status",
    "Url": "/sites/Marketing/Lists/Work Status/AllItems.aspx"
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  Children        : [{ AudienceIds: null, CurrentLCID: 1033, Id: 2033, IsDocLib: true, IsExternal: true, IsVisible: true, ListTemplateType: 0, Title: "Microsoft 365", Url: "https://microsoft365.com", Children: [] }]
  AudienceIds     : ["0d718612-8407-4d6b-833c-6891a553354f"]
  CurrentLCID     : 1033
  Id              : 2209
  IsDocLib        : true
  IsExternal      : false
  IsVisible       : true
  ListTemplateType: 100
  Title           : Work Status
  Url             : /sites/Marketing/Lists/Work Status/AllItems.aspx
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  CurrentLCID,Id,IsDocLib,IsExternal,IsVisible,ListTemplateType,Title,Url
  1033,2209,1,,1,100,Work Status,/sites/Marketing/Lists/Work Status/AllItems.aspx
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # spo navigation node get --webUrl "https://contoso.sharepoint.com/sites/Marketing" --id "2209"

  Date: 1/29/2023

  ## Work Status (2209)

  Property | Value
  ---------|-------
  CurrentLCID | 1033
  Id | 2209
  IsDocLib | true
  IsExternal | false
  IsVisible | true
  ListTemplateType | 100
  Title | Work Status
  Url | /sites/Marketing/Lists/Work Status/AllItems.aspx
  ```

  </TabItem>
</Tabs>
